Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class FolderClosedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.mail.MessagingException
                        |
                        +--javax.mail.FolderClosedException

All Implemented Interfaces:
  java.io.Serializable

public class FolderClosedException
extends MessagingException

This exception is thrown when a method is invoked on a Messaging object and the Folder that owns that object has died due to some reason.

Following the exception, the Folder is reset to the "closed" state. All messaging objects owned by the Folder should be considered invalid. The Folder can be reopened using the "open" method to reestablish the lost connection.

The getMessage() method returns more detailed information about the error that caused this exception.

See Also:
  Serialized Form

Constructor Summary
`FolderClosedException(Folder folder)` Constructor
`FolderClosedException(Folder folder, java.lang.String message)` Constructor

Method Summary
`Folder` | `getFolder()` Returns the dead Folder object

Methods inherited from class javax.mail.MessagingException
`getMessage, getNextException, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FolderClosedException

    public FolderClosedException(Folder folder)

  Constructor
  Parameters:
    `folder` - the Folder

### FolderClosedException

    public FolderClosedException(Folder folder,
                                 java.lang.String message)

  Constructor
  Parameters:
    `folder` - the Folder
    `message` - the detailed error message

Method Detail

### getFolder

    public Folder getFolder()

  Returns the dead Folder object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD